//-----------------------------------------------------------------------------
// Projet               : La physique amusante 1
// Programme            : Pendule.pde
// Auteur               : Sylvain Blocquaux
// Date                 : 11 avril 2011
// Version              : 1.0
//-----------------------------------------------------------------------------

Elastique elastique;
Mobile mobile;
int deplacement = 150;
float delta;

void setup() {
  size(400, 800, P2D);
  smooth();
  frameRate(60);
  delta = 1 / frameRate;
  mobile = new Mobile(new PVector(0, 200));
  elastique = new Elastique(new PVector(0, 0), mobile);
}

void draw() {
  background(255);
  translate(deplacement, deplacement);
  stroke(0);
  fill(100);
  rect(-25, -50, 50, 50);
  PVector souris = new PVector(mouseX, mouseY);
  mobile.glisser(souris);
  elastique.calculForce();
  mobile.actualiser(delta);
  mobile.afficher();
  elastique.afficher();
}

void mousePressed() {
  mobile.selectionner(new PVector(mouseX, mouseY));
}

void mouseReleased() {
  mobile.deSelectionner();
}

